Bug 215418 - minor error in filetype.vim
minor error in filetype.vim
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vim (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 16:25 EST by William Yardley
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 08:53:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for filetype.vim (735 bytes, patch)
2006-11-13 16:25 EST, William Yardley
no flags Details | Diff

  None (edit)
Description William Yardley 2006-11-13 16:25:10 EST
Description of problem: See below; vim spits out an error when editing httpd
config files.


Version-Release number of selected component (if applicable):
vim-enhanced-7.0.042-1


How reproducible:
Very

Steps to Reproduce:
1. edit a file named httpd.conf (or something similar)
  
Actual results:
vim spits out an error like:
Error detected while processing BufRead Auto commands for "httpd.conf*":
E492: Not an editor command:
auth_mysql.conf*,auth_pgsql.conf*,ssl.conf*,perl.conf*,php.conf*,python.conf*,squirrelmail.conf*
call s:StarSetf('apache')

Expected results:
vim opens the file and lets you edit it (with the filetype set correctly)

Additional info:

See attached diff.
Comment 1 William Yardley 2006-11-13 16:25:12 EST
Created attachment 141105 [details]
patch for filetype.vim
Comment 3 RHEL Product and Program Management 2006-11-14 04:40:45 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 James Laska 2006-12-13 16:48:27 EST
Marking as VERIFIED based on comment#4
Comment 6 Jay Turner 2006-12-19 08:53:59 EST
vim-7.0.109-3 included in 20061218.1 trees.

Note You need to log in before you can comment on or make changes to this bug.